The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Adds/Assign CIDR

Prev Next

This URL adds CIDRs to a specified Interface.

Resource URL

POST /sensor/<sensor_id>/interface/<interface_id>/cidr

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensor_id Sensor ID Number Yes
interface_id Interface ID Number Yes

Payload Parameters:

Field Name Description Data Type Mandatory
cidrList List of CIDRs Array Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status 1 is returned if the operation was successful. Number

Example

Request

POST https://<NSM_IP>/sdkapi/sensor/1001/interface/105/cidr

Payload

{
"cidrList": [
               "8.8.8.1/32", 
               "8.8.8.12/32", 
               "8.8.8.13/32"
            ]
} 

Response

{
"status": 1
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor
2 404 1107 Invalid Interface or Sub-interface id
3 400 1174 Cannot add CIDR on dedicated/VLAN type interface
4 400 1701 Invalid CIDR notation
5 400 1137 Duplicate CIDR entry
6 400 1133 Invalid CIDR provided
7 500 1001 Internal error
8 400 1170 No CIDR available for allocation